Subject: thuban fails to start: missing python module
Package: thuban
Version: 1.0.1-1.1
Severity: grave
Justification: renders package unusable

Hello,

I get this error when trying to launch thuban:

18:37:50 testdata$ thuban
Traceback (most recent call last):
  File "/usr/bin/thuban", line 20, in ?
    import Thuban.UI.main
  File "/usr/lib/thuban/Thuban/UI/__init__.py", line 35, in ?
    install_wx_translation()
  File "/usr/lib/thuban/Thuban/UI/__init__.py", line 21, in 
install_wx_translation
    import wxPython.wx as wx
ImportError: No module named wxPython.wx
18:40:43 testdata$ thuban
Traceback (most recent call last):
  File "/usr/bin/thuban", line 20, in ?
    import Thuban.UI.main
  File "/usr/lib/thuban/Thuban/UI/__init__.py", line 35, in ?
    install_wx_translation()
  File "/usr/lib/thuban/Thuban/UI/__init__.py", line 21, in 
install_wx_translation
    import wxPython.wx as wx
ImportError: No module named wxPython.wx


I removed and installed again thuban with apt-get and
the problem persists.

I noticed that trying to install python-wxgtk2.6 caused apt-get
to mark thuban for removal.

Regards,
Miguel Filgueiras


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16.19
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages thuban depends on:
ii  gdal-bin                     1.3.1-6     Geospatial Data Abstraction Librar
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-11  GCC support library
ii  libwxgtk2.4-1                2.4.5.1     wxWindows Cross-platform C++ GUI t
ii  proj                         4.4.9d-2    Cartographic projection filter and
ii  python [python-xmlbase]      2.4.3-11    An interactive high-level object-o
ii  python-sqlite                1.0.1-5     python interface to SQLite 2
ii  python-wxgtk2.4              2.4.5.1     wxWindows Cross-platform C++ GUI t

Versions of packages thuban recommends:
ii  libgdal1-1.3.1                1.3.1-6    Geospatial Data Abstraction Librar
pn  python-gdal                   <none>     (no description available)
pn  python-psycopg                <none>     (no description available)

-- no debconf information


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to